package org.hso.ecommerce.repos.shop;

import org.hso.ecommerce.entities.shop.CustomerOrder;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

@Repository
public interface CustomerOderRepository extends JpaRepository<CustomerOrder, Long> {

    @Query("SELECT SUM(cop.quantity) FROM CustomerOrderPosition cop JOIN cop.order co WHERE cop.article.id = :articleId AND co.created >= :begin AND co.created < :end")
    Integer countOrdersOfArticleInTimespan(
            long articleId, java.sql.Timestamp begin, java.sql.Timestamp end
    );

}

